summary refs log tree commit diff
path: root/pkgs/test/simple/builder.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pkgs/test/simple/builder.sh')
-rwxr-xr-xpkgs/test/simple/builder.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/pkgs/test/simple/builder.sh b/pkgs/test/simple/builder.sh
index 58bf16c43b3..cfc895ac139 100755
--- a/pkgs/test/simple/builder.sh
+++ b/pkgs/test/simple/builder.sh
@@ -1,10 +1,15 @@
 #! /bin/sh
 
+set -x
+
 export NIX_DEBUG=1
 
 . $stdenv/setup
 
-export NIX_ENFORCE_PURITY=1
+#echo starting shell
+#/bin/sh < /dev/tty > /dev/tty 2>&1 
+
+#exit 1
 
 mkdir $out
 mkdir $out/bin
@@ -24,8 +29,6 @@ gcc -L /nix/store/abcd/lib -isystem /usr/lib hello.c -o $out/bin/hello
 
 $out/bin/hello
 
-exit 0
-
 cat > hello2.cc <<EOF
 #include <iostream>